/****************************************************************************/
/*                                                                          */
/*  Licensed Materials - Property of IBM                                    */
/*                                                                          */
/*  IBM Visual Warehouse                                                    */
/*  Copyright (C) International Business Machines Corp., 1995, 1996.        */
/*  All rights reserved                                                     */
/*                                                                          */
/****************************************************************************/
/****************************************************************************/
/*                                                                          */
/*  FILENAME:    IWHXTRIG.H                                                 */
/*                                                                          */
/*  AUTHOR:      William S. Perlman                                         */
/*                                                                          */
/*  DESCRIPTION: Common declarations for the Visual Warehouse external      */
/*               trigger API.                                               */
/*                                                                          */
/*  CREATED:     January 22, 1997                                           */
/*                                                                          */
/****************************************************************************/
/*==========================================================================*/
/*                                   CHANGE LOG                             */
/*==========================================================================*/
/*          |Changed |          |                                           */
/*  Date    |   by   |PTR/APAR  | Comments                                  */
/*----------+--------+----------+-------------------------------------------*/
/*          |        |          |                                           */
/*--------------------------------------------------------------------------*/
/*          |        |          |                                           */
/*==========================================================================*/
/* *** NOTE *** Please keep a detailed change log!!!                        */
/*==========================================================================*/

#ifndef _IWHXTRIG_H
#define _IWHXTRIG_H

// Enums *********************************************************************

enum EXTERNAL_TRIGGER_ARGS { 
   THIS_EXE, KERNEL_HOST, KERNEL_PORT, 
   KERNEL_USERID, KERNEL_PASSWORD,
   BUSINESS_VIEW, FETCH_LIMIT, POPULATE_TIME
};

// Function Prototypes ********************************************************

extern int PopulateBV ( int ArgCount, char *ArgArray[] );

#endif
